%global realname gen_icmp
%global upstream msantos
%global debug_package %{nil}
%global git_tag 8c10951
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0.03
Release:	1%{?dist}
Summary:	Erlang interface to ICMP sockets
Group:		Development/Languages
License:	BSD
URL:		https://github.com/msantos/pkt
# wget --content-disposition https://github.com/msantos/gen_icmp/tarball/8c10951
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
BuildRequires:	erlang-rebar
Requires:	erlang-crypto%{?_isa}
Requires:	erlang-erts%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-pkt%{?_isa}
Requires:	erlang-procket%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
This library aspires to be a simple interface for using ICMP and ICMPv6 sockets
in Erlang, just like gen_tcp and gen_udp do for their protocol types;
incidentally messing up Google searches for whomever someday writes a proper
gen_icmp module..


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
rm -f rebar.config


%build
rebar compile -v


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%check
#rebar eunit -v


%files
%doc README.md examples/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam


%changelog
* Tue Sep 25 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.03-1
- initial build
